Package com.mckoi.database.jdbc

## Class StreamableObjectPart

- java.lang.Object
- - com.mckoi.database.jdbc.StreamableObjectPart

    public class StreamableObjectPart
    extends java.lang.Object

Represents a response from the server for a section of a streamable object. A streamable object can always be represented as a byte[] array and is limited to String (as 2-byte unicode) and binary data types.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`StreamableObjectPart​(byte[] contents)` Constructs the ResultCellPart.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getContents()` Returns the contents of this ResultCellPart.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamableObjectPart

    public StreamableObjectPart​(byte[] contents)

Constructs the ResultCellPart. Note that the 'contents' byte array must be immutable.

### Method Detail

#### getContents

    public byte[] getContents()

Returns the contents of this ResultCellPart.